- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::ImageOptions::TexCoordRange Struct Reference

Used as UserData attached to generated osg::Image's. More...

Inheritance diagram for osgDB::ImageOptions::TexCoordRange:

[legend]
List of all members.

## Public Member Functions
| TexCoordRange ()
void | set (double x, double y, double w, double h)
## Public Attributes
double | _x
double | _y
double | _w
double | _h

## Detailed Description

Used as UserData attached to generated osg::Image's.

## Constructor & Destructor Documentation

osgDB::ImageOptions::TexCoordRange::TexCoordRange | ( |  | ) | `[inline]`

## Member Function Documentation

void osgDB::ImageOptions::TexCoordRange::set | ( | double | x,
|  | double | y,
|  | double | w,
|  | double | h
| ) | `[inline]`

## Member Data Documentation

double osgDB::ImageOptions::TexCoordRange::_h

double osgDB::ImageOptions::TexCoordRange::_w

double osgDB::ImageOptions::TexCoordRange::_x

double osgDB::ImageOptions::TexCoordRange::_y

The documentation for this struct was generated from the following file:

- ImageOptions